/**
 * @description 鉴权指令
 * 当传入的权限当前用户没有时，会移除该组件
 * 用例：<Tag v-auth>text</Tag> 或者：<Tag v-auth="'user:编辑'">text</Tag>
 * */
import store from '@/store'
import Setting from '@/setting'

export default {
    inserted (el, binding, vnode) {
      if (!Setting.dynamicRoute) return false
      const val = binding.value
      const text = val && val.includes('/') ? val : vnode.context.$route.path + ':' + (val || el.innerText)
      const { btns } = store.state
      if (text && btns && btns.length) {
          // 如果按钮集合里没有该权限,就把该按钮给去除
          if (!btns.includes(text)) {
              el.parentNode && el.parentNode.removeChild(el)
          }
      }
    }
}
