import Vue from 'vue';
import App from './App.vue';
import router from './router';
import ElementUI from 'element-ui';
import "@/assets/css/default/index.scss";
import './assets/css/icon.css';
import './assets/icon/iconfont.css';
import 'babel-polyfill';
import './utils/rem';
import { post, get, del, put } from './utils/http';
import api from './utils/api';
import store from './store'
import {
  systemStatus, systemTypeStatus, systemAttributionStatus, courseTypeStatus,
  hoursStatus, roleStatus, orderTypeFn, orderStatusFn, orderNatureFn, Percentage, removeByValue, isIE, encodeString, formatDate, downloadFile, dateCompatible
} from './utils/core';
import preventReClick from './utils/preventReClick' //防多次点击，重复提交
import plugins from '@/directive';

Vue.prototype.api = api;
Vue.prototype.$get = get;
Vue.prototype.$post = post;
Vue.prototype.$del = del;
Vue.prototype.$put = put;

Vue.prototype.systemStatus = systemStatus;
Vue.prototype.systemTypeStatus = systemTypeStatus;
Vue.prototype.systemAttributionStatus = systemAttributionStatus;
Vue.prototype.courseTypeStatus = courseTypeStatus;
Vue.prototype.hoursStatus = hoursStatus;
Vue.prototype.roleStatus = roleStatus;
Vue.prototype.orderTypeFn = orderTypeFn;
Vue.prototype.orderStatusFn = orderStatusFn;
Vue.prototype.orderNatureFn = orderNatureFn;
Vue.prototype.Percentage = Percentage;
Vue.prototype.removeByValue = removeByValue;
Vue.prototype.isIE = isIE;
Vue.prototype.encodeString = encodeString;
Vue.prototype.formatDate = formatDate;
Vue.prototype.downloadFile = downloadFile;
Vue.prototype.dateCompatible = dateCompatible;

Vue.config.productionTip = false;
Vue.use(ElementUI, { size: 'small' });

Vue.use(plugins);
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app');
