import Vue from 'vue';
import Vuex from 'vuex';
Vue.use(Vuex);
const store = new Vuex.Store({
    state: {
        avatar: 'https://cube.elemecdn.com/3/7c/3ea6beec64369c2642b92c6726f1epng.png',
        courseId:'',
        userId: '',
        roleId: '',
        accountId: '',
        manager:{},
        provinceList: [],
        configId: '',
        systemId: '',
        orderId: '',
        userLoginId: '',
        userName: '',
        loginToken: '',
        schoolId: '',
        lastSystemId: null,
        projectFields: {},
        btns: [],
        routes: [],
        columnId: '',
        tabId: '1',
        dataPer: [],
        competitionCache: null,
				referrer: '',
				innerReferrer: '',
				orderParam: null,
    },
    actions: {
        setSystemId({ state,commit },systemId) {
            commit('SET_SYSTEM_ID',systemId)
        },
        setProject({ state,commit },projectFields) {
            commit('SET_PROJECT',projectFields)
        },
    },
    mutations:{
        SET_SYSTEM_ID: (state, systemId) => {
            state.lastSystemId = systemId
        },
        SET_PROJECT: (state, projectFields) => {
            state.projectFields = projectFields
        },
        userAvatar(state,payload){
            state.avatar = payload.avatar
        },
        SET_ACCOUNTID (state, id) {
            state.accountId = id
        },
        SET_USERNAME (state, userName) {
            state.userName = userName
        },
        courseData (state, payload) {
            state.courseId = payload.course_id
        },
        managerData (state, payload) {
            state.manager = payload.form
        },
        provinceData (state, payload) {
            state.provinceList = payload.provinceList
        },
        configData (state, payload) {
            state.configId = payload.config_id
        },
        userLoginData (state, payload) {
            state.userLoginId = payload.userLogin_id
            state.userName = payload.userName
            state.roleId = payload.roleId
        },
        tokenData (state, payload) {
            state.loginToken = payload.loginToken
        },
        schoolIdData (state, payload) {
            state.schoolId = payload.schoolId
        },
        addBtnAuth(state,btns) {
          state.btns = btns
        },
        addRoutes(state,routes) {
          state.routes = routes
        },
        setDataPer(state, dataPer) {
          state.dataPer = dataPer
        },
        setColumnId: (state, columnId) => {
            state.columnId = columnId
        },
        setInfoTab: (state, tabId) => {
            state.tabId = tabId
        },
        setCompetitionCache: (state, param) => {
            state.competitionCache = param
        },
				setReferrer: (state, val) => {
					state.referrer = val
				},
				setInnerReferrer: (state, val) => {
					state.innerReferrer = val
				},
				setOrderParam: (state, val) => {
					state.orderParam = val
				},

    }
});
 
export default store;