const util = {
  deepCopy (obj) { // 深拷贝
    if (obj == null) {
      return null;
    }
    if (typeof obj !== "object") return obj;
    let result;
    if (Array.isArray(obj)) {
      result = [];
      obj.forEach(item => {
        result.push(
          typeof item === "object" && !(item instanceof Date)
            ? util.deepCopy(item)
            : item
        );
      });
    } else {
      result = {};
      Object.keys(obj).forEach(key => {
        result[key] =
          typeof obj[key] === "object" && !(obj[key] instanceof Date)
            ? util.deepCopy(obj[key])
            : obj[key];
      });
    }
    return result;
  },
  // 传入文件名和数据，下载文件
  downloadFileDirect (fileName, data) {
    if ('download' in document.createElement('a')) { // 非IE下载
      const elink = document.createElement('a')
      elink.download = fileName
      elink.style.display = 'none'
      elink.href = URL.createObjectURL(data)
      document.body.appendChild(elink)
      elink.click()
      URL.revokeObjectURL(elink.href) // 释放URL 对象
      document.body.removeChild(elink)
    } else { // IE10+下载
      navigator.msSaveBlob(data, fileName)
    }
  },
};

export default util;